loading...
Cover image for Announcing TwitterOAuth 1.0

Announcing TwitterOAuth 1.0

abraham profile image Abraham Williams ・1 min read

The TwitterOAuth PHP library, the easiest way to integrate the Twitter API with your app, has hit a long overdue milestone: 1.0.

You can install 1.x with composer now:

composer require abraham/twitteroauth '^1'
Enter fullscreen mode Exit fullscreen mode

1.x will now be maintained in the v1 branch and will only get security and major bug fixes going forward. 1.x will also be the last version to support PHP before 7.2.

Development of 2.0 has started, you can checkout the goals on GitHub:

Version 2.0 goals #686

This s a summary of the plans for TwitterOAuth version 2.

Once released, 1.0 will only receive critical bug fixes. It will have it's own branch and master branch will be working towards the goals listed below. If you are interested in implementing any of these, go comment on the particular issue.

Planned

  • [x] Drop support for PHP < 7.1 (#678)
  • [x] Enable strict_types and type declarations (#679)
  • [x] Switch to recorded HTTP requests in tests (#671)
  • [ ] Explore switching to guzzle (#680)
  • [ ] File class for handling media files (#681)
  • [ ] Response class for handling responses (#683)
  • [ ] Throw exceptions for non-2XX responses (#682)
  • [ ] Support additional API hosts (#684)
  • [ ] Add better per request configuration (#685)

Under consideration

  • [ ] Streaming support (#295)
  • [ ] Everything else in the issue tracker

Discussion

pic
Editor guide
Collapse
thomasaudo profile image
thomasaudo

Great plans for this second version !
I remember i've developed with this library the project that really makes me love programming two years ago 😍

Collapse
abraham profile image
Abraham Williams Author

Thanks! There are a lot of shortcomings I want to fix with 2.0. I'm glad you had a good experience with it before.

Collapse
philnash profile image
Phil Nash

Congratulations on the v1 release!

Collapse
abraham profile image